### Method

# Hinoko FwIsoResourceAuto deallocate

since: 1.0

#### Declaration [src]

    gboolean
    hinoko_fw_iso_resource_auto_deallocate (
      HinokoFwIsoResourceAuto* self
      GError** error
    )

#### Description [src]

Initiate deallocation of isochronous resource. When the deallocation is done, `HinokoFwIsoResource::deallocated` signal is emit to notify the result, channel, and bandwidth.

Available since: 1.0

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, otherwise FALSE.